summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNobuyoshi Nakada <nobu@ruby-lang.org>2020-06-25 15:44:47 +0900
committerNobuyoshi Nakada <nobu@ruby-lang.org>2020-06-25 15:44:56 +0900
commit9a78e24f7d269c9688a0fa50c82751b5ec8d512a (patch)
tree6e08829f8a2a1262862fe2d3138fe5592912f32f
parent4eff8a662a4bf12dc0c2e5d87b1578f03d872722 (diff)
Removed nonsense `rubygems_version` in input gemspec files
As it is ignored and set at building packages automatically, it is just nonsense to set in gemspec file for input.
-rw-r--r--ext/json/json.gemspec1
-rw-r--r--ext/psych/psych.gemspec1
-rw-r--r--ext/stringio/stringio.gemspec1
-rw-r--r--lib/racc/racc.gemspec1
-rw-r--r--lib/rdoc/rdoc.gemspec1
5 files changed, 0 insertions, 5 deletions
diff --git a/ext/json/json.gemspec b/ext/json/json.gemspec
index 096f45edd2..30f5d7013c 100644
--- a/ext/json/json.gemspec
+++ b/ext/json/json.gemspec
@@ -131,7 +131,6 @@ Gem::Specification.new do |s|
s.licenses = ["Ruby"]
s.rdoc_options = ["--title", "JSON implemention for Ruby", "--main", "README.md"]
s.required_ruby_version = Gem::Requirement.new(">= 2.0")
- s.rubygems_version = "3.0.3"
s.summary = "JSON Implementation for Ruby"
s.test_files = ["tests/test_helper.rb"]
diff --git a/ext/psych/psych.gemspec b/ext/psych/psych.gemspec
index 5f4bb43e0e..e9e36e6633 100644
--- a/ext/psych/psych.gemspec
+++ b/ext/psych/psych.gemspec
@@ -46,7 +46,6 @@ DESCRIPTION
s.extra_rdoc_files = ["README.md"]
s.required_ruby_version = Gem::Requirement.new(">= 2.4.0")
- s.rubygems_version = "2.5.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0")
if RUBY_ENGINE == 'jruby'
diff --git a/ext/stringio/stringio.gemspec b/ext/stringio/stringio.gemspec
index a16c75753f..4849481786 100644
--- a/ext/stringio/stringio.gemspec
+++ b/ext/stringio/stringio.gemspec
@@ -24,7 +24,6 @@ Gem::Specification.new do |s|
s.homepage = "https://github.com/ruby/stringio"
s.licenses = ["BSD-2-Clause"]
s.required_ruby_version = ">= 2.5"
- s.rubygems_version = "2.6.11"
s.summary = "Pseudo IO on String"
# s.cert_chain = %w[certs/nobu.pem]
diff --git a/lib/racc/racc.gemspec b/lib/racc/racc.gemspec
index 61356eca64..31d0e586af 100644
--- a/lib/racc/racc.gemspec
+++ b/lib/racc/racc.gemspec
@@ -82,7 +82,6 @@ DESC
"test/testscanner.rb", "web/racc.en.rhtml", "web/racc.ja.rhtml"
]
s.require_paths = ["lib"]
- s.rubygems_version = "3.1.0.pre1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.rdoc_options = ["--main", "README.rdoc"]
s.extra_rdoc_files = [
diff --git a/lib/rdoc/rdoc.gemspec b/lib/rdoc/rdoc.gemspec
index 9b274c709a..9ab60cb47f 100644
--- a/lib/rdoc/rdoc.gemspec
+++ b/lib/rdoc/rdoc.gemspec
@@ -241,6 +241,5 @@ RDoc includes the +rdoc+ and +ri+ tools for generating and displaying documentat
]
s.required_ruby_version = Gem::Requirement.new(">= 2.4.0")
- s.rubygems_version = "2.5.2"
s.required_rubygems_version = Gem::Requirement.new(">= 2.2")
end